<?php

namespace FiloBlu\GuestWishlist\Controller\Plugin;

class Index {

    protected $customerSession;
    protected $_helper;

    public function __construct(
    \Magento\Customer\Model\Session $customerSession, \FiloBlu\GuestWishlist\Helper\Data $helper
    ) {
        $this->_helper = $helper;
        $this->customerSession = $customerSession;
    }

    public function afterExecute($object, $resultPage) {
        
        # Add 1column layout and remove sidebar for guest wishlist
        if ((!$this->customerSession->isLoggedIn() && $this->_helper->getConfig("general/enabled") && ($resultPage instanceof \Magento\Framework\View\Result\Page))) {

            $resultPage->getLayout()->
                    getUpdate()->
                    addHandle('wishlist_index_guest');
        }

        return $resultPage;
    }

}
